#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64 

Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

int potpin = D1;
int potvalue;

void setup ()
{
  Serial.begin(115200);

  if(!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { // Address 0x3D for 128x64
    Serial.println(F("SSD1306 allocation failed"));
    for(;;);
  }
  delay(2000);
  display.clearDisplay();
}

void loop ()
{
  potvalue = analogRead(potpin);
  Serial.println(potvalue);

  if (potvalue>= 0 && potvalue<2040)
  {
    display.clearDisplay();
    display.fillRoundRect(10,40,30,20,2,WHITE);
    display.fillRoundRect(80,40,30,20,2,WHITE);
    display.display();

  }
  else
  {
    display.clearDisplay();
    display.fillRoundRect(10,10,30,50,2,WHITE);
    display.fillRoundRect(80,10,30,50,2,WHITE);
    display.display();

  }
}